<%@ Page Language="C#" AutoEventWireup="true" %>
<%@ Import Namespace="System.Net.Mail" %>

<script runat="SERVER">
	void Page_Load()
	{
		// creo l'oggetto
		MailMessage message = new MailMessage();

		// mittente
		message.From = new MailAddress("email@email.ext", "nome");

		// destinatari
		message.To.Add(new MailAddress("email@email.ext", "nome"));

		// copia carbone
		message.CC.Add(new MailAddress("email@email.ext", "nome"));

		// copia carbone nascosta
		message.Bcc.Add(new MailAddress("email@email.ext", "nome"));

		// oggetto
		message.Subject = "Oggetto";
		message.SubjectEncoding = System.Text.Encoding.GetEncoding("iso-8859-15");

		// corpo del messaggio
		message.Body = "Corpo del <b>messaggio</b>.";
		message.BodyEncoding = System.Text.Encoding.GetEncoding("iso-8859-15");
		message.IsBodyHtml = true;

		// risposta a questo indirizzo
		message.ReplyTo = new MailAddress("email@email.ext", "nome");

		// notifica di lettura
		message.Headers.Add("Disposition-Notification-To", "Nome<email>");

		// allegato
		message.Attachments.Add(new Attachment(Server.MapPath("file.txt")));

		// invio
		SmtpClient server = new SmtpClient();

		// usa IIS
		server.DeliveryMethod = SmtpDeliveryMethod.PickupDirectoryFromIis;

		/* usa un server esterno
		 * server.DeliveryMethod = SmtpDeliveryMethod.Network;
		 * server.Host = "localhost";
		*/
		server.Send(message);

	}
</script>

