Imports System
Imports System.Web
Imports System.Web.UI
Imports System.Net

Partial Public Class AsyncPageDemo
    Inherits System.Web.UI.Page

    Private _request As System.Net.WebRequest

    Protected Overrides Sub OnLoad(ByVal e As EventArgs)
        Me.AddOnPreRenderCompleteAsync(New BeginEventHandler(AddressOf Me.BeginProcess), New EndEventHandler(AddressOf Me.EndProcess))
    End Sub


    Private Function BeginProcess(ByVal sender As Object, ByVal e As EventArgs, ByVal callback As AsyncCallback, ByVal extraData As Object) As IAsyncResult
        _request = System.Net.WebRequest.Create("http://feed.aspitalia.com/feed.xml")
        Return _request.BeginGetResponse(callback, extraData)
    End Function


    Private Sub EndProcess(ByVal result As IAsyncResult)
        Dim buffer As String = String.Empty
        Dim _WebResponse As System.Net.WebResponse = _request.EndGetResponse(result)
        Try
            Dim reader As New System.IO.StreamReader(_WebResponse.GetResponseStream())
            buffer = reader.ReadToEnd()
            reader.Dispose()

            Me.AsyncResult.Text = HttpUtility.HtmlEncode(buffer)
        Finally
            _WebResponse.Close()
        End Try
    End Sub
End Class