Imports System
Imports System.Data.SqlClient
Imports System.Configuration

Namespace Aspitalia.Books.Web.Chapter9

    Partial Class DataSet
        Inherits System.Web.UI.Page

        Protected Overrides Sub OnLoad(ByVal e As System.EventArgs)

            Dim ds As New System.Data.DataSet()

            ' Creazione della connessione
            Using conn As New SqlConnection(ConfigurationManager.ConnectionStrings("SqlNorthwind").ConnectionString)

                ' Apertura della connessione
                conn.Open()

                ' Creazione del comando
                Dim selectCmd As New SqlCommand("SELECT * FROM Customers;SELECT * FROM Suppliers;", conn)

                ' Creazione dell'adapter
                Dim adapter As New SqlDataAdapter(selectCmd)

                ' Popolamento dell'oggetto DataSet contenente due oggetti DataTable
                adapter.Fill(ds)

                ' Il primo oggetto DataTable si riferisce ai clienti
                CustomersGrid.DataSource = ds.Tables(0)
                CustomersGrid.DataBind()

                ' Il secondo oggetto DataTable si riferisce ai fornitori
                SuppliersGrid.DataSource = ds.Tables(1)
                SuppliersGrid.DataBind()

            End Using ' La connessione viene chiusa automaticamente alla fine del blocco Using

        End Sub

    End Class

End Namespace
