Imports System
Imports System.Data.SqlClient
Imports System.Configuration

Namespace Aspitalia.Books.Web.Chapter9

    Partial Class ExecuteNonQuery
        Inherits System.Web.UI.Page

        Protected Overrides Sub OnLoad(ByVal e As System.EventArgs)

            ' Creazione della connessione
            Using conn As New SqlConnection(ConfigurationManager.ConnectionStrings("SqlNorthwind").ConnectionString)

                ' Apertura della connessione
                conn.Open()

                ' Creazione del comando
                Dim cmd As New SqlCommand("UPDATE Customers SET City='Bergamo' WHERE CustomerID=@CustomerID", conn)

                ' Aggiungi un parametro
                cmd.Parameters.AddWithValue("@CustomerID", "MAGAA")

                ' Ritorna il numero di righe interessate dal comando di aggiornamento
                Dim rowsAffected As Integer = cmd.ExecuteNonQuery()

                CommandLiteral.Text = cmd.CommandText.Replace(cmd.Parameters(0).ParameterName, "'" & cmd.Parameters(0).Value & "'")
                ResultLiteral.Text = rowsAffected.ToString()

            End Using ' La connessione viene chiusa automaticamente alla fine del blocco Using

        End Sub

    End Class

End Namespace
