using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Orders : System.Web.UI.UserControl
{

    public string CustomerID
    {
        get { return this.sqlDataSource.SelectParameters[0].DefaultValue; }
        set
        {
            Parameter p = this.sqlDataSource.SelectParameters[0];
            p.Type = TypeCode.String;
            p.DefaultValue = value;
        }
    }

    #region WebPart connection

    private IWebPartField fieldProvider;

    [ConnectionConsumer("Order->CustomerID")]
    public void SetConnectionInterface(IWebPartField field)
    {
        this.fieldProvider = field;
        this.fieldProvider.GetFieldValue(new FieldCallback(OnFieldCallback));
    }

    void OnFieldCallback(object value)
    {
        this.CustomerID = value.ToString();
    }

    #endregion
}
