using System;
using System.Text;
using System.Security;
using System.Security.Cryptography;

class CryptoGeneration
{
  static void Main(string[] argv) 
  {
    // uso SHA1
    int len = 128;

    if (argv.Length > 0)
        len = int.Parse(argv[0]);

    byte[] buff = new byte[len/2];

    RNGCryptoServiceProvider rng = new RNGCryptoServiceProvider();
    rng.GetBytes(buff);

    StringBuilder sb = new StringBuilder(len);
    for (int i=0; i<buff.Length; i++)
          sb.Append(string.Format("{0:X2}", buff[i]));

    Console.WriteLine("Chiave: " + sb.ToString());
    Console.ReadLine();
   }
}
