<%@ Page Language="C#" AutoEventWireup="true" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
	void Page_Load()
	{
		if (!(Page.IsPostBack))
		{
			UpdateRolesList();
		}
	}

	void UpdateRolesList()
	{
		RolesList.DataSource = Roles.GetAllRoles();
		RolesList.DataBind();
	}

	void Role_Delete(object sender, System.Web.UI.WebControls.GridViewDeleteEventArgs e)
	{
		string roleName = ((DataBoundLiteralControl)(RolesList.Rows[e.RowIndex].Controls[0].Controls[0])).Text;

		// togli utenti dal ruolo
		if (Roles.GetUsersInRole(roleName).Length > 0)
		{
			Roles.RemoveUsersFromRole(Roles.GetUsersInRole(roleName), roleName);
		}

		// elimina il ruolo
		Roles.DeleteRole(roleName);

		UpdateRolesList();
	}

	protected void NewRoleButton_Click(object sender, System.EventArgs e)
	{
		Roles.CreateRole(NewRole.Text);
		UpdateRolesList();
	}
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title>Capitolo 16</title>
</head>
<body>
	<form id="form1" runat="server">
		<div>
			<a href="./">Torna al pannello</a>
			<h1>
				Aggiungi/modifica ruoli</h1>
			<asp:GridView ID="RolesList" runat="server" AutoGenerateColumns="false" OnRowDeleting="Role_Delete">
				<Columns>
					<asp:TemplateField HeaderText="Ruolo">
						<ItemTemplate>
							<%#Container.DataItem%>
						</ItemTemplate>
					</asp:TemplateField>
					<asp:ButtonField CommandName="Delete" Text="Elimina ruolo" HeaderText="Elimina" />
				</Columns>
			</asp:GridView>
			<p>
				Nuovo ruolo
				<asp:TextBox ID="NewRole" runat="Server" />
				<asp:Button ID="NewRoleButton" runat="server" Text="Aggiungi" OnClick="NewRoleButton_Click" />
			</p>
		</div>
	</form>
</body>
</html>
