<%@ WebService Language="C#" Class="AutoCompleteService" %>
using System;
using System.Collections.Generic;
using System.Web;
using System.Web.Services;
using System.Web.Services.Protocols;

[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
public class AutoCompleteService  : System.Web.Services.WebService {
	[WebMethod]
	public string[] GetCompletionData(string prefixText, int count) {
		Random random = new Random();
		List<string> result = new List<string>();
		for (int i = 0; i < count; i++) {
			char c1 = (char)random.Next(33, 127);
			char c2 = (char)random.Next(33, 127);
			char c3 = (char)random.Next(33, 127);
			result.Add(prefixText + c1 + c2 + c3);
		}

		return result.ToArray();
	}
}

