<%@ Page Language="C#" %>
<%@ Import Namespace="System.Xml" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">

    void Page_Load()
    {
        StringBuilder sb = new StringBuilder();

        // Creo l'oggetto
        using (XmlTextReader doc = new XmlTextReader(Request.MapPath("test.xml")))
        {
            // Sfoglio ogni nodo presente nel documento
            while (doc.Read())
            {
                // Se mi trovo sull'elemento product
                if (doc.NodeType == XmlNodeType.Element && doc.LocalName == "product")
                {
                    // Mi sposto sull'attributo idProduct
                    if (doc.MoveToAttribute("idProduct"))
                    {
                        // Leggo l'attributo come intero
                        sb.AppendFormat("idProduct: {0}", doc.ReadContentAsInt());
                        sb.AppendLine();
                    }
                    // Ritorno sull'elemento
                    doc.MoveToElement();
                    // Mi sposto sull'elemento figlio details
                    if (doc.ReadToDescendant("details"))
                    {
                        // Leggo l'xml grezzo dell'elemento corrente
                        sb.AppendFormat("details: {0}", doc.ReadOuterXml());
                        sb.AppendLine();
                    }
                }
            }
        }
        data.Value = sb.ToString();

    }

</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>A.2</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <textarea cols="40" rows="10" id="data" runat="server"></textarea>
    </div>
    </form>
</body>
</html>
