<%@ Page Language="VB" %>
<%@ Register TagPrefix="aspitalia" Assembly="App_Code" Namespace="ASPItalia.Books.Web.Chapter11" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">

    Sub Page_Load()
        BindData()
    End Sub

    Sub BindData()
        Dim list As New System.Collections.Generic.Dictionary(Of String, Integer)()
        list.Add("File 1", 1024)
        list.Add("File 2", 1024 * 1024)
        list.Add("File 3", 1024 * 1024 * 1024)

        gridView1.DataSource = list
        gridView1.DataBind()
    End Sub

    Sub gridView1_RowEditing(ByVal s As Object, ByVal e As GridViewEditEventArgs)
        gridView1.EditIndex = e.NewEditIndex
        BindData()
    End Sub

    Sub gridView1_RowUpdated(ByVal sender As Object, ByVal e As GridViewUpdatedEventArgs)
    End Sub

    Sub gridView1_RowCancelingEdit(ByVal sender As Object, ByVal e As GridViewCancelEditEventArgs)
        gridView1.EditIndex = -1
        BindData()
    End Sub

    Sub gridView1_RowUpdating(ByVal sender As Object, ByVal e As GridViewUpdateEventArgs)
        Dim dic As New OrderedDictionary()
        ' Estraggo il valore dalla cella manualmente
        gridView1.Columns(1).ExtractValuesFromCell(dic, _
            DirectCast(gridView1.Rows(e.RowIndex).Cells(1), DataControlFieldCell), _
            DataControlRowState.Edit, _
            True)
        
        ' TODO: aggiornamento

        gridView1.EditIndex = -1
        BindData()
    End Sub
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>11.15</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:GridView ID="gridView1" runat="server" AutoGenerateColumns="False" OnRowEditing="gridView1_RowEditing" OnRowUpdated="gridView1_RowUpdated" OnRowCancelingEdit="gridView1_RowCancelingEdit" OnRowUpdating="gridView1_RowUpdating">
            <Columns>
                <asp:BoundField DataField="Key" HeaderText="Nome" />
                <aspitalia:SizeField DataField="Value" HeaderText="Dimensione" />
                <asp:CommandField ShowEditButton="true" />
            </Columns>
        </asp:GridView>    
    </div>
    </form>
</body>
</html>
