Imports System
Imports System.Data
Imports System.Configuration
Imports System.Collections
Imports System.Web
Imports System.Web.Security
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Web.UI.WebControls.WebParts
Imports System.Web.UI.HtmlControls
Imports System.ComponentModel
Imports System.Collections.Generic
 
Public partial Class Customers
	 Inherits System.Web.UI.UserControl
	 Implements IWebPartField
 
    Public Event SelectedCustomerChanged As EventHandler
 
    Public ReadOnly Property SelectedCustomerID() As String
    	Get 
        	 Return CType(Me.GridView1.SelectedValue, String)
    	End Get
    End Property
 
    <Personalizable(), WebBrowsable, WebDisplayName("Numero di righe")> _ 
    Public Property PageSize() As Integer
    	Get 
        	 Return Me.GridView1.PageSize
    	End Get
    	Set (ByVal Value As Integer) 
        	 Me.GridView1.PageSize = value
    	End Set
    End Property
 
    #region "WebPart connection"
 
    Private Sub GetFieldValue(ByVal callback As FieldCallback) Implements IWebPartField.GetFieldValue
        If Not Me.GridView1.SelectedDataKey Is Nothing Then
            callback(Me.GridView1.SelectedDataKey(0))
        Else
            callback(DBNull.Value)
        End If
    End Sub
 
    Private ReadOnly Property Schema() As System.ComponentModel.PropertyDescriptor Implements IWebPartField.Schema
        Get
            ' Usato solo quando si usa una row come field
            Return Nothing
        End Get
    End Property

    <ConnectionProvider("CustomerID")> _
    Public Function GetConnectionInterface() As IWebPartField
        Return Me
    End Function

#End Region

    Protected Sub GridView1_SelectedIndexChanged(ByVal sender As Object, ByVal e As EventArgs)
        RaiseEvent SelectedCustomerChanged(Me, EventArgs.Empty)
    End Sub
End Class
