﻿<%@ Page Language="C#" AutoEventWireup="true" masterpagefile="~/MasterPage.master"%>
<script runat="server">
</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
	<atlas:scriptmanager id="ScriptManager" runat="server" />
	<h4>Esempio 19.8 - Binding semplice</h4>
	<input type="checkbox" id="chk" />
	<input type="text" id="txt" />
	<hr />

	<h4>Esempio 19.9 - Binding con transformer Invert</h4>
	<input type="checkbox" id="chk1" />
	<input type="text" id="txt1" />
	<hr />

	<h4>Esempio 19.10,11 - Binding con transformer Personalizzato</h4>
	<input type="checkbox" id="chk2" />
	<input type="text" id="txt2" />
	<hr />

	<h4>Esempio 19.12,13 - Binding con transformer personalizzato con parametri</h4>
	<input type="checkbox" id="chk3" />
	<input type="text" id="txt3" />
	<hr />

	<script>
		function MyTransformer(sender, eventArgs) {
			var result;
			result = new Date().getMilliseconds() % 2;
			eventArgs.set_value(result);
		}

		function MyTransformer2(sender, eventArgs) {
			var result;
			var value = eventArgs.get_transformerArgument();
			alert(value);
			eventArgs.set_value(result);
		}
	</script>

	<script type="text/xml-script">
		<page xmlns:script="http://schemas.microsoft.com/xml-script/2005">
			<components>
				<checkBox id="chk" />
				<textBox id="txt">
					<bindings>
						<binding dataContext="chk" dataPath="checked" property="enabled" />
					</bindings>
				</textBox>

				<checkBox id="chk1" />
				<textBox id="txt1">
					<bindings>
						<binding dataContext="chk1" dataPath="checked" property="enabled" transform="Invert" />
					</bindings>
				</textBox>

				<checkBox id="chk2" />
				<textBox id="txt2">
					<bindings>
						<binding dataContext="chk2" dataPath="checked" property="enabled" transform="MyTransformer" />
					</bindings>
				</textBox>

				<checkBox id="chk3" />
				<textBox id="txt3">
					<bindings>
						<binding dataContext="chk3" dataPath="checked" property="enabled" transform="MyTransformer2" transformerArgument="20" />
					</bindings>
				</textBox>
			</components>
			<references>
			</references>
		</page>
	</script>
</asp:Content>