﻿<%@ Page Language="C#" AutoEventWireup="true" masterpagefile="~/MasterPage.master"%>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
	<atlas:scriptmanager id="ScriptManager" runat="server" >
		<Services>
			<atlas:ServiceReference path="Service.asmx" />
		</Services>
	</atlas:scriptmanager>
	<h4>Esempio 19.19,20 - Web Service con dati semplici</h4>
	<input type="button" id="btn" value="Click"/>
	<hr />

	<h4>Esempio 19.21 - WebService con oggetti complessi</h4>
	<input type="button" id="btn2" value="Click"/>
	<hr />

	<script>
		function simpleClick(sender, eventArgs) {
			Service.Method(completeCallback, timeoutCallback, errorCallback);
		}

		function completeCallback(response){
			alert(response);
		}
				
		function timeoutCallback(response){
			alert(response);
		}

		function errorCallback(result, response){
			alert(result.get_message() + result.get_stackTrace());
		}

		function complexClick(sender, eventArgs) {
			var obj = new Object();
			obj.Width = 10;
			obj.Height = 30;
			Service.Method2(obj, completeCallback, timeoutCallback, errorCallback);
		}
	</script>
	<script type="text/xml-script">
		<page xmlns:script="http://schemas.microsoft.com/xml-script/2005">
			<components>
				<button id="btn" click="simpleClick"></button>
				<button id="btn2" click="complexClick"></button>
			</components>
			<references>
			</references>
		</page>
	</script>
</asp:Content>