﻿<%@ Page Language="VB" AutoEventWireup="true" masterpagefile="~/MasterPage.master"%>
<%@ import namespace="System.Data.SqlClient" %>
<%@ import namespace="System.Data.SqlTypes" %>
<%@ import namespace="System.Data" %>
<script runat="server">
	Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs)
		If (Not Page.IsPostBack) Then
			Dim conn As New SqlConnection(ConfigurationManager.ConnectionStrings("db").ConnectionString)
			conn.Open()
			Dim cmd As New SqlCommand("select e.employeeid, firstname + ' ' + lastname as name from employees e", conn)
			ddlEmployee.DataSource = cmd.ExecuteReader(CommandBehavior.CloseConnection)
			ddlEmployee.DataBind()
			conn.Open()
			ddlEmployee2.DataSource = cmd.ExecuteReader(CommandBehavior.CloseConnection)
			ddlEmployee2.DataBind()
			conn.Open()
			ddlEmployee3.DataSource = cmd.ExecuteReader(CommandBehavior.CloseConnection)
			ddlEmployee3.DataBind()
		End If
	End Sub

	Sub ddlEmployee_SelectedIndexChanged(ByVal sender As Object, ByVal e As EventArgs)
		Dim conn As New SqlConnection(ConfigurationManager.ConnectionStrings("db").ConnectionString)
		conn.Open()
		Dim cmd As New SqlCommand("select TerritoryDescription from employeeterritories et join territories t on (et.territoryid = et.territoryid) where employeeid = @employeeid", conn)
		cmd.Parameters.Add("@employeeid", SqlDbType.Int).Value = ddlEmployee.SelectedValue
		ddlTerritories.DataSource = cmd.ExecuteReader()
		ddlTerritories.DataBind()
	End Sub

	Sub ddlEmployee2_SelectedIndexChanged(ByVal sender As Object, ByVal e As EventArgs)
		Dim conn As New SqlConnection(ConfigurationManager.ConnectionStrings("db").ConnectionString)
		conn.Open()
		Dim cmd As New SqlCommand("select TerritoryDescription from employeeterritories et join territories t on (et.territoryid = et.territoryid) where employeeid = @employeeid", conn)
		cmd.Parameters.Add("@employeeid", SqlDbType.Int).Value = ddlEmployee.SelectedValue
		ddlTerritories2.DataSource = cmd.ExecuteReader()
		ddlTerritories2.DataBind()
	End Sub

	Sub timer_Tick(ByVal sender As Object, ByVal e As EventArgs)
		Dim conn As New SqlConnection(ConfigurationManager.ConnectionStrings("db").ConnectionString)
		conn.Open()
		Dim cmd As New SqlCommand("select e.employeeid, firstname + ' ' + lastname as name from employees e", conn)
		ddlEmployee.DataSource = cmd.ExecuteReader(CommandBehavior.CloseConnection)
		ddlEmployee.DataBind()
	End Sub
</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
	<atlas:scriptmanager id="scriptManager" runat="server" EnablePartialRendering="true"></atlas:scriptmanager>
	<h4>Esempio 19.25 - UpdatePanel 1</h4>
	<atlas:updatepanel id="panel1" runat="server">
		<contenttemplate>
			<asp:dropdownlist id="ddlEmployee" runat="server" autopostback="true" datatextfield="name" datavaluefield="employeeid" onselectedindexchanged="ddlEmployee_SelectedIndexChanged"/>
			<asp:dropdownlist id="ddlTerritories" runat="server" datatextfield="TerritoryDescription"/>
		</contenttemplate>
	</atlas:updatepanel>
	<hr />

	<h4>Esempio 19.26 - Update panel con trigger</h4>
	<asp:dropdownlist id="ddlEmployee2" runat="server" autopostback="true" datatextfield="name" datavaluefield="employeeid" onselectedindexchanged="ddlEmployee2_SelectedIndexChanged"/>
	<atlas:updatepanel id="Updatepanel2" runat="server">
		<triggers>
			<atlas:controleventtrigger controlid="ddlEmployee2" eventname="SelectedIndexChanged" />
		</triggers>
		<contenttemplate>
			<asp:dropdownlist id="ddlTerritories2" runat="server" datatextfield="TerritoryDescription"/>
		</contenttemplate>
	</atlas:updatepanel>
	<hr />

	<h4>Esempio 19.27 - Update panel con trigger su timer</h4>
	<atlas:timercontrol runat="server" interval="5000" id="timer" ontick="timer_Tick" />
	<atlas:updatepanel id="Updatepanel3" runat="server">
		<contenttemplate>
			<asp:dropdownlist id="ddlEmployee3" runat="server" autopostback="true" datatextfield="name" datavaluefield="employeeid" onselectedindexchanged="ddlEmployee2_SelectedIndexChanged"/>
		</contenttemplate>
		<triggers>
			<atlas:controleventtrigger controlid="timer" eventname="Tick" />
		</triggers>
	</atlas:updatepanel>
	<atlas:updateprogress id="upd" runat="server">
		<progresstemplate>
			<div>Aggiornamento in corso</div>
		</progresstemplate>
	</atlas:updateprogress>
	<hr />
	
	<script type="text/xml-script">
		<page xmlns:script="http://schemas.microsoft.com/xml-script/2005">
			<components>
			</components>
			<references>
			</references>
		</page>
	</script>
</asp:Content>