<%@ Page Language="C#" Debug="true" %>
<%@ Import Namespace="ASPItalia.Books.Web.Chapter20" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">

    protected void goButton_Click(object sender, EventArgs e)
    {
        WeatherServiceProxy proxy = new WeatherServiceProxy();
        proxy.Url = "http://localhost:1325/CS/WeatherService.asmx";
        try
        {
            double temperature = proxy.GetTemperature(city.SelectedValue);
            Response.Write(temperature);
        }
        catch (System.Web.Services.Protocols.SoapException se)
        {
            Response.Write(se.Message);
        }
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>20.5</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:DropDownList ID="city" runat="Server">
            <asp:ListItem>Brescia</asp:ListItem>
            <asp:ListItem>Milano</asp:ListItem>
            <asp:ListItem>Roma</asp:ListItem>
        </asp:DropDownList>
        <asp:Button ID="goButton" runat="server" Text="Che tempo fa?" OnClick="goButton_Click" />
    </div>
    </form>
</body>
</html>
